Bugzilla will be upgraded to version 5.0 on a still to be determined date in the near future. The original upgrade date has been delayed.
Bug 589887 - DeviceTreeError: duplicate paths in device tree
DeviceTreeError: duplicate paths in device tree
Status: CLOSED INSUFFICIENT_DATA
Product: Fedora
Classification: Fedora
Component: anaconda (Show other bugs)
14
i386 Linux
low Severity medium
: ---
: ---
Assigned To: Anaconda Maintenance Team
Fedora Extras Quality Assurance
anaconda_trace_hash:692e7c17f3e4cfd0d...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2010-05-07 04:08 EDT by mohamed nasr
Modified: 2010-08-17 16:31 EDT (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-08-17 16:31:03 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Attached traceback automatically from anaconda. (483.08 KB, text/plain)
2010-05-07 04:08 EDT, mohamed nasr
no flags Details
Attached traceback automatically from anaconda. (433.84 KB, text/plain)
2010-05-07 04:20 EDT, mohamed nasr
no flags Details

  None (edit)
Description mohamed nasr 2010-05-07 04:08:25 EDT
The following was filed automatically by anaconda:
anaconda 13.37.2 exception report
Traceback (most recent call first):
  File "/usr/lib/anaconda/storage/devicetree.py", line 2108, in devices
    raise DeviceTreeError("duplicate paths in device tree")
  File "/usr/lib/anaconda/storage/__init__.py", line 426, in partitioned
    for device in self.devicetree.devices:
  File "/usr/lib/anaconda/storage/partitioning.py", line 757, in doPartitioning
    disks = storage.partitioned
  File "/usr/lib/anaconda/iw/partition_gui.py", line 1581, in refresh
    doPartitioning(self.storage)
  File "/usr/lib/anaconda/iw/partition_gui.py", line 1696, in editPartition
    if self.refresh():
  File "/usr/lib/anaconda/iw/partition_gui.py", line 1560, in createCB
    self.editPartition(device, isNew = True)
DeviceTreeError: duplicate paths in device tree
Comment 1 mohamed nasr 2010-05-07 04:08:41 EDT
Created attachment 412255 [details]
Attached traceback automatically from anaconda.
Comment 2 mohamed nasr 2010-05-07 04:20:39 EDT
Created attachment 412256 [details]
Attached traceback automatically from anaconda.
Comment 3 Chris Lumens 2010-05-07 09:57:25 EDT
What steps did you take to get to this point, and what partitioning did you start with?
Comment 4 Bug Zapper 2010-07-30 07:34:26 EDT
This bug appears to have been reported against 'rawhide' during the Fedora 14 development cycle.
Changing version to '14'.

More information and reason for this action is here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping

Note You need to log in before you can comment on or make changes to this bug.